[PLUGIN]Ajax Rating, barre de vote étoilée

13»

Réponses

  • jol5926jol5926 Member
    avril 2016 modifié
    Hello,

    J'utilisai ce plugin et depuis la misee à jour de pluxml en version 5.5, il ne fonctionne plus.
    Est-ce quelqu'un pourrait le modifier pour le rendre compatible car je n'ai pas de compétences pour ça.

    Merci
  • jol5926jol5926 Member
    mai 2016 modifié
    jol5926 a écrit:
    Hello,

    J'utilisai ce plugin et depuis la misee à jour de pluxml en version 5.5, il ne fonctionne plus.
    Est-ce quelqu'un pourrait le modifier pour le rendre compatible car je n'ai pas de compétences pour ça.

    Merci
    Des compléments d'infos sur le non fonctionnement de ce plugin depuis la version 5.5
    Quand je vote, ça mouline en permanence.
    Il faut que je rafraichisse la page et le vote est bien pris en compte.
    Est-ce que quelqu'un a une idée de la correction a apporter ?
    Merci
  • jol5926jol5926 Member
    Bonjour,
    Quelqu'un a une idée d'où peut venir le problème ??
    pluginajaxrating.png

    Merci
  • jol5926 a écrit:
    Bonjour,
    Quelqu'un a une idée d'où peut venir le problème ??
    http://www.jose.monespace.net/pluginajaxrating.png

    Merci

    Hello,
    Personne n'a d'idée ?? :(
  • bg62bg62 Member
    Juste une petite mise au point ...
    Jusque quelle version le plugin est-il valable ?
    Je teste la 5.6 et j'ai ceci comme message d'erreur :
    errors a écrit:
    # Time Memory Function Location
    1 0.0006 270480 {main}( ) ...\index.php:0
    2 0.1085 3885248 include( 'C:\wamp64\www\PluXml-5.6rc2\themes\defautBG\article.php' ) ...\index.php:61
    3 0.1135 3898248 plxShow->callHook( ) ...\article.php:35
    4 0.1135 3898248 plxPlugins->callHook( ) ...\class.plx.show.php:1887
    5 0.1135 3915736 ajaxrating->rating_bar( ) ...\class.plx.plugins.php:109
    ensuite ça continue de râââmer .... et il faut un certain tempss pour le vote soit enregistré, mais le 'message' persiste :)
    @+
  • Jerry WhamJerry Wham Member
    mars 2017 modifié
    Faut que je regarde ce qui se passe. Je n'ai pas fait de mise à jour pour ce plugin depuis longtemps.

    Edit : il faut modifier les fichiers où l'on trouve $plxMotor->version et le remplacer par PLX_VERSION.

    lignes 49 et 219 du fichier ajaxrating.php
    ligne 43 du fichier static.plxdb.php
    ligne 39 du fichier static.plxrpc.php

    Le plugin fonctionnera alors avec toutes les versions de pluxml supérieures à la 5.4 (5.5 donc qui a vu apparaitre la constante PLX_VERSION).

    Edit 2 : archive mise à jour sur Github
  • bg62bg62 Member
    Jerry Wham a écrit:
    Faut que je regarde ce qui se passe. Je n'ai pas fait de mise à jour pour ce plugin depuis longtemps.

    Edit : il faut modifier les fichiers où l'on trouve $plxMotor->version et le remplacer par PLX_VERSION.

    lignes 49 et 219 du fichier ajaxrating.php
    ligne 43 du fichier static.plxdb.php
    ligne 39 du fichier static.plxrpc.php

    Le plugin fonctionnera alors avec toutes les versions de pluxml supérieures à la 5.4 (5.5 donc qui a vu apparaitre la constante PLX_VERSION).
    Ouais ...facile à dire ;) mais moi et le codage= ??? ( au lieu que moi je me bidouille une version compatible ... mais qui ne sera pas à la portée de tous ! ;) )
    donc si tu pouvais nous en faire une version compatible toutes V de PuXml = ce serait le top de chez top !!!
    tiens-moi au courant merci
    ;)

    et tant que l'on y est : quid des thèmes ET des plugins autres que celui-ci ... ?
  • Le temps, le temps...
  • bg62bg62 Member
    Jerry Wham a écrit:
    Le temps, le temps...
    hé OUI ... comme tous ;)
    et donc tu penses à quels " délais" pour ... ???
  • Aucun. Ça sortira quand ça sera prêt.
    Sinon, si ça ne va pas assez vite, les sources sont sur Github et celui qui veut les faire évoluer n'a pas besoin de mon consentement.
  • SudwebdesignSudwebdesign Member
    décembre 2018 modifié
    Après avoir téléchargé le plugin ajaxrating 2017 avec l'installeur de plugin.

    Il y a un bug dans ajaxrating.php : une parenthèse en trop ligne 49 de la classe, une fois l'erreur corrigé tout et ok et ajax rating est bien là
    [== PHP ==]
        	if ((isset($plxMotor->version) && $plxMotor->version == '5.1.6') || (null !== PLX_VERSION && PLX_VERSION == '5.1.6')) ){
    
    deviens
    [== PHP ==]
        	if ((isset($plxMotor->version) && $plxMotor->version == '5.1.6') || (null !== PLX_VERSION && PLX_VERSION == '5.1.6')){
    
    & it's good

    [edit] Un patch a été créé sur le dépôt original de Jerry

    Notre temps est la seule monnaie vraie ;)

    Site, Dépôt, framagit, MyShop, Factux

  • SudwebdesignSudwebdesign Member
    décembre 2018 modifié
    En réponse de
    Jerry Wham a écrit:
    @Sudwebdesign : Merci de continuer à faire vivre mes plugins. C'est cool !
    Il sont géniaux, et puis au combien pratix.

    D’ailleurs une nouvelle mouture de ajaxrating en v 1.4.0 (cette fois ci), c'est en téléchargement avec ce lien en direct ou sur cette page et aussi dans le dépôt.

    Et si j'ai bien suivis il va se retrouver dans l'installeur de plugins puisque mon dépôt y est, Merci @Jack31
    Journal
    v 1.4.0 22/12/2015 : Multilingue & pluxml 5.1. a 65.7
    * Basé sur celui de Jerry Wham en v 1.1 du 13/03/2017 (Bien Installé par le nouveau greffon installeur de plugins, mais ki plnT ...
    * Compatible PluXml 5.1.6 a 5.7
    * Toutes les langues officiele de PluXml sont présente (+ zip alternatif au cas ou)
    *de, *en, *es, fr, *it, *nl, *oc, *pl, *pt, *ro, *ru : *sont autotraduites
    * Compatible plxMyMultilingue 0.8.1

    @+

    Notre temps est la seule monnaie vraie ;)

    Site, Dépôt, framagit, MyShop, Factux

  • Et si j'ai bien suivis il va se retrouver dans l'installeur de plugins puisque mon dépôt y est, Merci @Jack31

    @ Sudwebdesign

    A ce propos, les derniers évènements à propos de ajaxrating m'ont conduit à retirer ce plugin du dépôt (et c’est très chi***t à faire) et il m'est venu grâce à ça des idées.

    Tout d'abord, j'ai inclue un message d'alerte à l'intérieur même de mon téléchargeur pour donner la marche à suivre aux utilisateurs en cas de dysfonctionnement d'un plugin qui mettrait leur site hs et surtout, je me demande si les nouvelles productions ne devraient pas afficher une mention "valide" dés qu'ils sont fin prêts à être mis sur le marché.

    Je comprends bien sûr que les nouveaux plugins/thèmes doivent être testés un temps [par les utilisateurs] avant d'être déclarés valides pour détecter les bugs de dernères minutes et c'est pourquoi, sans aller jusqu'à aller demander une certification à l'élite (quoi que...) je crois qu'il serait opportun de préciser "OK, il est prêt".

    Bravo Thomas de t'être mis dans l'idée de mettre à jour ces petites merveilles.

    @ tous

    Qu'en pensez-vous ?
  • SLT a vous tou(te)s

    Une MAJ qui qui fait qu'au début toutes ses étoiles sont allumés au lieu d'être éteintes.

    Télécharger en direct : ajaxrating-1.5.0, sur le Site ou ds le Dépôt

    CHANGELOG:

    -----------------------------------------------------------------------------

    v 1.5.0 21/06/2019:

     * Les notes (étoiles) sont au maxi si aucun vote

     * onUpdate()

     * onActivate()

     * is_file() to file_exists()

    Notre temps est la seule monnaie vraie ;)

    Site, Dépôt, framagit, MyShop, Factux

  • Bonjour,
    Je viens d'installer le plugin Ajaxrating sur une version 5.6 de pluxml et j'ai ce message d'erreur qui apparaît en echo dans la partie administrateur au moment de l'enregistrement de la configuration sur une serveur de free.fr.
    Warning: Cannot modify header information - headers already sent by (output started at /var/www/sda/1/a/fragments.dhistoire/plugins/plnStaticPages/plnStaticPages.php:73) in /var/www/sda/1/a/fragments.dhistoire/core/admin/parametres_plugins.php on line 20
    En fermant la page dudit message, le plugin fonctionne mais mes pages statiques refusent alors de s'ouvrir. Le message "en cours de rédaction ou correction" remplace le contenu.
    Je ne sais vraiment pas comment traiter ce problème.
    Merci.

  • Je me réponds à moi-même... Après avoir désactiver le plugin plnStaticPages, je n'ai plus de message d'erreur dans la partie administration mais le bug sur les pages statiques perdure.

Connectez-vous ou Inscrivez-vous pour répondre.